<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Lessons
 */
/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>
<div class="comment-wrapper mt50"> 
	<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) :
		?>
		<h3 class="comment-title">
			<?php
			$lessons_comment_count = get_comments_number();
			if ( '1' === $lessons_comment_count ) {
				printf(
					/* translators: 1: title. */
					esc_html__( '%1$s Comment', 'lessons' ), 
					'<span>' . 1 . '</span>'
				);
			} else {
				printf( // WPCS: XSS OK.
					/* translators: 1: comment count number, 2: title. */
					esc_html( _nx( '%1$s Comments','%1$s Comments', $lessons_comment_count, 'comments title', 'lessons' ) ), 
					number_format_i18n( $lessons_comment_count ) 
				);
			}
			?>
		</h3><!-- .comments-title -->
		<?php the_comments_navigation(); ?>
 		<div class="comment-list">
			<?php
				wp_list_comments( array(
					'style'      => 'div',
					'callback' => 'lessons_comments_list' 
				) );
			?> 
		</div>
		<?php
		the_comments_navigation();
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() ) :
			?>
			<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'lessons' ); ?></p>
			<?php
		endif;
	endif; // Check for have_comments(). ?>
</div>
<div class="repaly-comment mt80 pdb30">
	<?php comment_form(); ?>
</div>
